aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d')
-rwxr-xr-xrc.d/init.d/network2
1 files changed, 2 insertions, 0 deletions
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 6f602fe4..2f0cc904 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -162,6 +162,8 @@ case "$1" in
if [[ "$rootfs" == nfs* || "$rootopts" =~ _r?netdev ]] ; then
exit 1
fi
+
+ systemctl show --property=RequiredBy -- -.mount | grep -q 'remote-fs.target' && exit 1
vlaninterfaces=""
vpninterfaces=""